com.mysql.cj.protocol

## Class FullReadInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.FilterInputStream
    - - com.mysql.cj.protocol.FullReadInputStream

All Implemented Interfaces:
  Closeable, AutoCloseable

    public class FullReadInputStream
    extends FilterInputStream

InputStream wrapper that provides methods to aggregate reads of a given size. c.f. readFully(byte[],int,int).

### Field Summary

### Fields inherited from class java.io.FilterInputStream

`in`

### Constructor Summary

Constructors
`FullReadInputStream(InputStream underlyingStream)`

### Method Summary

All Methods Instance Methods Concrete Methods
`InputStream` `getUnderlyingStream()`
`int` `readFully(byte[] b)`
`int` `readFully(byte[] b, int off, int len)`
`long` `skipFully(long len)`
`int` `skipLengthEncodedInteger()`

### Methods inherited from class java.io.FilterInputStream

`available, close, mark, markSupported, read, read, read, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FullReadInputStream

    public FullReadInputStream(InputStream underlyingStream)

### Method Detail

#### getUnderlyingStream

    public InputStream getUnderlyingStream()

#### readFully

    public int readFully(byte[] b)
                  throws IOException

Throws:
  `IOException`

#### readFully

    public int readFully(byte[] b,
                         int off,
                         int len)
                  throws IOException

Throws:
  `IOException`

#### skipFully

    public long skipFully(long len)
                   throws IOException

Throws:
  `IOException`

#### skipLengthEncodedInteger

    public int skipLengthEncodedInteger()
                                 throws IOException

Throws:
  `IOException`

Copyright © 2016, 2025, Oracle and/or its affiliates.